<ng-container *ngIf="!editing then replyView else replyEdit"></ng-container>

<ng-template #replyView>
    <ng-container *ngIf="reply.body then loaded else loading"></ng-container>

    <ng-template #loaded>
        <div class="module reply-block" [id]="id">

            <mr-dropdown
            *ngIf="reply.isAuthor || reply.isOwner"
            transformOrigin="top right">
                <ul>
                    <li *ngIf="reply.isAuthor" (click)="editing = true">Editar</li>
                    <li *ngIf="reply.isAuthor || reply.isOwner"(click)="openDeleteModal()">Eliminar</li>
                </ul>
            </mr-dropdown>

            <mr-editor-readonly [html]="reply.body"></mr-editor-readonly>

            <div class="authoring">
                <a [routerLink]="reply.author | profileUrl">@{{ reply.author }}</a>
                <mr-timestamp [createdAt]="reply.createdAt" [lastEdit]="reply.lastEdit"></mr-timestamp>
            </div>

        </div>
    </ng-template>

    <ng-template #loading>
        <mr-ghost-box></mr-ghost-box>
    </ng-template>

</ng-template>

<ng-template #replyEdit>
    <div class="module reply-block">
        <mr-thread-reply-edit [reply]="reply" (end)="editing = false" [linkedFiles]="linkedFiles"></mr-thread-reply-edit>
    </div>
</ng-template>
